Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Fields | Ctors | Inherited Methods | [Expand All]
public final class

# GooglePlayServicesNotAvailableException

extends Exception

java.lang.Object
↳ | java.lang.Throwable
| ↳ | java.lang.Exception
|  | ↳ | com.google.android.gms.common.GooglePlayServicesNotAvailableException

## Class Overview

Indicates Google Play services is not available.

## Summary

Fields
public final int | errorCode | The error code returned by `isGooglePlayServicesAvailable(Context)` call.

Public Constructors
| GooglePlayServicesNotAvailableException(int errorCode)

[Expand] Inherited Methods

From class java.lang.Throwable

final void | addSuppressed(Throwable arg0)
Throwable | fillInStackTrace()
Throwable | getCause()
String | getLocalizedMessage()
String | getMessage()
StackTraceElement[] | getStackTrace()
final Throwable[] | getSuppressed()
Throwable | initCause(Throwable arg0)
void | printStackTrace(PrintStream arg0)
void | printStackTrace(PrintWriter arg0)
void | printStackTrace()
void | setStackTrace(StackTraceElement[] arg0)
String | toString()

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Fields

#### public final int errorCode

The error code returned by `isGooglePlayServicesAvailable(Context)` call.

## Public Constructors

#### public GooglePlayServicesNotAvailableException (int errorCode)